Bug 124906

Summary: grub.conf has only DOS entry after upgrade to FC2
Product: [Fedora] Fedora Reporter: Oxana Smirnova <oxana.smirnova>
Component: grubAssignee: Peter Jones <pjones>
Status: CLOSED DUPLICATE QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 2CC: mattdm
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-25 16:29:42 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Oxana Smirnova 2004-06-01 08:41:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ru-RU; rv:1.6)
Gecko/20040407

Description of problem:
Bad: The problem seems to be related to the infamous double boot
issue, but the appearance is exactly opposite: after upgrading from
FC1 to FC2, I can only boot to WinXP, as grub.conf has no other
entries. sfdisk in rescue mode duly complains that "extended partition
does not start at a cylinder boundary", but all the sfdisk re-write
tricks fail with "unrecognized input". Don't know what to do more.
That's a blocker.

Good: Well, contrary to others, I haven't lost the Windows partition ;-)

Version-Release number of selected component (if applicable):
whatever comes with FC2

How reproducible:
Always

Steps to Reproduce:
1. Get a WinXP Pro PC
2. Install FC1 as another boot
3. Upgrade to FC2 - bingo, no Linux can be booted
    

Actual Results:  Grub screen only says:

DOS

Expected Results:  Grub screen should say

Fedora Core 2 kernel whatever
DOS

Additional info:

No error messages, simply no Fedora. Rescue disk finds it though.
Comment 1 Jeremy Katz 2004-06-01 16:36:23 EDT
Can you attach what your grub.conf looked like before?
Comment 2 Oxana Smirnova 2004-06-01 17:21:52 EDT
Nope, it's gone and I have no backup. But I figured one thing
meanwhile, which would perhaps make this bug invalid, or get it
re-assigned elsewhere: actually, the kernel didn't install properly,
as it failed, complaining that "no module ieee1394 found for kernel",
hence mkinitrd failed. I found it in /root/upgrade.log - just these
two lines. No complaints were produced on screen during the upgrade
itself.

So, no surprise Linux is not in grub.conf. But sfdisk still produces
wrong partition start warnings - even though kernel installation
failed. Would it mean this is not a kernel problem but an anaconda one?

And by the way, I can not re-install the kernel even after editing
/etc/modprobe.conf to comment out the firewire module - still
complains about the ieee1394 module. And by the other way, I'd love to
have a firewire support - can I roll back to FC1?..

... running Knoppix with 2.6.x kernel meanwhile, all works...
Comment 3 Oxana Smirnova 2004-06-02 09:50:35 EDT
Latest progress: I installed the latest 2.6.6 kernel version - it went
fine except the fact that grubby failed for not finding a suitable
template, whatever it means. The system loaded manually just fine, so
I dared to edit grub.conf by hand, and well, my problems are solved: I
have double boot working like charm. But I won't close the bug, as FC2
upgrade messed my grub.conf and can not recover it (I even tried to
re-upgrade with configuring the loader anew, but it only explained me
that there is no Linux on my system, doh!)
Comment 4 Matthew Miller 2005-04-26 11:07:38 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 John Thacker 2006-10-25 16:29:42 EDT
Closing per previous comment and lack of response.  Also note that FC1 and FC2
are no longer supported even by Fedora Legacy.
Comment 6 John Thacker 2006-10-25 16:30:52 EDT

*** This bug has been marked as a duplicate of 124246 ***